Unable to Install Oracle on Websphere Due to Classloader Preferences

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

[Unable to render {include} The included page could not be found. ({include} をレンダリングできません。ページが見つかりませんでした)] を選択し、

症状

When configuring Confluence, the Oracle database setup fails. Errors in the logs look like:


2009-08-04 14:25:03,069 ERROR [WebContainer : 2] [confluence.setup.actions.SetupPathsAction] execute Unable to setup paths to system
– url: /wiki/setup/setuppaths.action | userName: anonymous | action: setuppaths
org.springframework.dao.DataAccessResourceFailureException: Could not create Oracle LOB; nested exception is org.springframework.dao.InvalidDataAccessApiUsageException: Couldn't initialize OracleLobHandler because Oracle driver classes are not available. Note that OracleLobHandler requires Oracle JDBC driver 9i or higher!; nested exception is java.lang.ClassNotFoundException: oracle.sql.BLOB
Caused by: org.springframework.dao.InvalidDataAccessApiUsageException: Couldn't initialize OracleLobHandler because Oracle driver classes are not available. Note that OracleLobHandler requires Oracle JDBC driver 9i or higher!; nested exception is java.lang.ClassNotFoundException: oracle.sql.BLOB
Caused by: java.lang.ClassNotFoundException: oracle.sql.BLOB

原因

The classloader preferences are loading an incorrect driver.

ソリューション

Change the classloader preferences, as described in Installing Confluence EAR-WAR on Websphere.


Last modified on Mar 30, 2016

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する
Powered by Confluence and Scroll Viewport.